-- MySQL dump 10.13  Distrib 5.5.54, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: target3001db
-- ------------------------------------------------------
-- Server version	5.5.54-0ubuntu0.14.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES latin1 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `blobs`
--

DROP TABLE IF EXISTS `blobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blobs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `blob` mediumblob NOT NULL,
  `last_modified` int(11) DEFAULT NULL,
  `hash` int(11) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blobs`
--

LOCK TABLES `blobs` WRITE;
/*!40000 ALTER TABLE `blobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `blobs` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER blobs_on_before_insert BEFORE INSERT ON `blobs`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER blobs_on_before_update BEFORE UPDATE ON `blobs`
 FOR EACH ROW BEGIN
  IF NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `boxes`
--

DROP TABLE IF EXISTS `boxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `boxes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `box_de` varchar(100) DEFAULT NULL,
  `box_en` varchar(100) DEFAULT NULL,
  `box_fr` varchar(100) DEFAULT NULL,
  `favorite` tinyint(4) NOT NULL DEFAULT '0',
  `last_modified` int(11) DEFAULT NULL,
  `user_entry` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `box_de` (`box_de`,`user_entry`),
  UNIQUE KEY `box_en` (`box_en`,`user_entry`),
  UNIQUE KEY `box_fr` (`box_fr`,`user_entry`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `boxes`
--

LOCK TABLES `boxes` WRITE;
/*!40000 ALTER TABLE `boxes` DISABLE KEYS */;
INSERT INTO `boxes` VALUES (7,'Sonstige','Other','Autre',0,0,0);
/*!40000 ALTER TABLE `boxes` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER boxes_on_before_insert BEFORE INSERT ON `boxes`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER boxes_on_before_update BEFORE UPDATE ON `boxes`
 FOR EACH ROW BEGIN
  IF NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `components`
--

DROP TABLE IF EXISTS `components`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `components` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name_de` varchar(255) DEFAULT NULL,
  `name_en` varchar(255) DEFAULT NULL,
  `name_fr` varchar(255) DEFAULT NULL,
  `description_de` text,
  `description_en` text,
  `description_fr` text,
  `id_manufacturer` int(11) NOT NULL DEFAULT '208',
  `id_blob_DIN` int(11) DEFAULT NULL,
  `id_blob_IEEE` int(11) DEFAULT NULL,
  `id_package` int(11) DEFAULT NULL,
  `pinassignment_ifgeneric` text,
  `is_refsymbol` tinyint(4) DEFAULT NULL,
  `is_package_SMD` tinyint(4) DEFAULT NULL,
  `id_type` int(11) NOT NULL,
  `spice` text,
  `sim_model_needed` tinyint(4) NOT NULL DEFAULT '1',
  `last_modified` int(11) DEFAULT NULL,
  `user_entry` int(11) NOT NULL DEFAULT '0',
  `user_prefix` varchar(10) DEFAULT NULL,
  `rank` tinyint(4) DEFAULT NULL,
  `scalable` tinyint(4) NOT NULL DEFAULT '0',
  `bill_of_material` tinyint(4) NOT NULL DEFAULT '1',
  `datasheet` varchar(255) DEFAULT NULL,
  `bibname` varchar(100) DEFAULT NULL,
  `proposed_package` varchar(100) DEFAULT NULL,
  `proposed_package_lib` varchar(100) DEFAULT NULL,
  `properties` longtext,
  `history` text,
  `param_double1` double DEFAULT NULL,
  `param_double2` double DEFAULT NULL,
  `param_double3` double DEFAULT NULL,
  `param_double4` double DEFAULT NULL,
  `param_double5` double DEFAULT NULL,
  `param_double6` double DEFAULT NULL,
  `param_double7` double DEFAULT NULL,
  `param_double8` double DEFAULT NULL,
  `param_double9` double DEFAULT NULL,
  `param_double10` double DEFAULT NULL,
  `param_double11` double DEFAULT NULL,
  `param_double12` double DEFAULT NULL,
  `param_integer1` int(11) DEFAULT NULL,
  `param_integer2` int(11) DEFAULT NULL,
  `param_integer3` int(11) DEFAULT NULL,
  `param_integer4` int(11) DEFAULT NULL,
  `param_integer5` int(11) DEFAULT NULL,
  `param_integer6` int(11) DEFAULT NULL,
  `param_id1` int(11) DEFAULT NULL,
  `param_id2` int(11) DEFAULT NULL,
  `param_id3` int(11) DEFAULT NULL,
  `param_id4` int(11) DEFAULT NULL,
  `param_id5` int(11) DEFAULT NULL,
  `param_id6` int(11) DEFAULT NULL,
  `id_sym3001_DIN` int(11) DEFAULT NULL,
  `id_sym3001_IEEE` int(11) DEFAULT NULL,
  `old_componenttype` varchar(255) DEFAULT NULL,
  `alias` varchar(100) DEFAULT NULL,
  `favorite` tinyint(4) NOT NULL DEFAULT '0',
  `deprecated` tinyint(4) NOT NULL DEFAULT '0',
  `price` double DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name_de` (`name_de`,`id_manufacturer`,`user_entry`),
  UNIQUE KEY `name_en` (`name_en`,`id_manufacturer`,`user_entry`),
  UNIQUE KEY `name_fr` (`name_fr`,`id_manufacturer`,`user_entry`),
  KEY `ifavorite` (`favorite`),
  KEY `id_manufacturer` (`id_manufacturer`),
  KEY `id_blob_DIN` (`id_blob_DIN`),
  KEY `id_blob_IEEE` (`id_blob_IEEE`),
  KEY `id_package` (`id_package`),
  KEY `id_type` (`id_type`),
  KEY `index_bibname` (`name_de`,`bibname`),
  KEY `param_id1` (`param_id1`),
  KEY `param_id2` (`param_id2`),
  KEY `param_id3` (`param_id3`),
  KEY `param_id4` (`param_id4`),
  KEY `param_id5` (`param_id5`),
  KEY `param_id6` (`param_id6`),
  KEY `alias` (`alias`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `components`
--

LOCK TABLES `components` WRITE;
/*!40000 ALTER TABLE `components` DISABLE KEYS */;
/*!40000 ALTER TABLE `components` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER components_on_before_insert BEFORE INSERT ON `components`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 IF NEW.user_entry>0 AND NEW.alias IS NULL THEN SET NEW.alias=NumName(COALESCE(NEW.name_de,NEW.name_en,NEW.name_fr)); END IF;
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER components_on_after_insert AFTER INSERT ON components
							FOR EACH ROW
							BEGIN
								IF NEW.user_entry>0 THEN
									UPDATE types SET user_count=user_count+1
									WHERE types.id=NEW.id_type AND types.user_entry=0;
								END IF;
							END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER components_on_before_update BEFORE UPDATE ON `components`
 FOR EACH ROW BEGIN
  SET @lastmod = (SELECT enable_lastmodified_trigger FROM db_vars LIMIT 1);
 IF @lastmod=1 AND NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 IF NEW.user_entry>0 AND (NEW.alias IS NULL OR NEW.alias=NumName(COALESCE(OLD.name_de,OLD.name_en,OLD.name_fr))) THEN SET NEW.alias=NumName(COALESCE(NEW.name_de,NEW.name_en,NEW.name_fr)); END IF;
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER components_on_after_update AFTER UPDATE ON components
							FOR EACH ROW
							BEGIN
								IF NEW.user_entry>0 AND NEW.id_type!=OLD.id_type THEN
									UPDATE types SET user_count=user_count-1
									WHERE types.id=OLD.id_type AND types.user_entry=0;

									UPDATE types SET user_count=user_count+1
									WHERE types.id=NEW.id_type AND types.user_entry=0;
								END IF;
								
								IF NEW.user_entry=0 AND NEW.favorite!=OLD.favorite THEN
									UPDATE types SET user_count=user_count-OLD.favorite+NEW.favorite
									WHERE types.id=NEW.id_type;
								END IF;
							END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER components_on_after_delete AFTER DELETE ON components
							FOR EACH ROW
							BEGIN
								IF OLD.user_entry>0 THEN
									UPDATE types SET user_count=user_count-1
									WHERE types.id=OLD.id_type AND types.user_entry=0;
								END IF;
								
								IF OLD.user_entry=0 THEN
									UPDATE types SET user_count=user_count-OLD.favorite
									WHERE types.id=OLD.id_type;
								END IF;
							END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `conversion_componenttype`
--

DROP TABLE IF EXISTS `conversion_componenttype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `conversion_componenttype` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `componenttype` varchar(255) DEFAULT NULL,
  `box_xx` varchar(255) DEFAULT NULL,
  `type_xx` varchar(255) DEFAULT NULL,
  `id_type` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `conversion_componenttype`
--

LOCK TABLES `conversion_componenttype` WRITE;
/*!40000 ALTER TABLE `conversion_componenttype` DISABLE KEYS */;
INSERT INTO `conversion_componenttype` VALUES (2,'C-Kondensator\\Bipolar','Kondensator','Bipolarkondensator',61),(3,'C-Kondensator\\Bipolar\\Folienkondensator','Kondensator','Bipolarkondensator',61),(4,'C-Kondensator\\Bipolar\\Folienkondensator\\SMD','Kondensator','Bipolarkondensator',61),(5,'C-Kondensator\\Bipolar\\Keramik','Kondensator','Bipolarkondensator',61),(6,'C-Kondensator\\Bipolar\\Keramik\\SMD','Kondensator','Bipolarkondensator',61),(7,'C-Kondensator\\Bipolar\\SMD','Kondensator','Bipolarkondensator',61),(8,'C-Kondensator\\ELKO','Kondensator','Elektrolytkondensator (Elko)',62),(9,'C-Kondensator\\Elko\\SMD','Kondensator','Elektrolytkondensator (Elko)',62),(10,'C-Kondensator\\Elko\\Tantal','Kondensator','Elektrolytkondensator (Elko)',62),(11,'C-Kondensator\\Filter','Kondensator','Filter (Kondensator)',63),(12,'C-Kondensator\\Trimmer','Kondensator','Trimmer (Kondensator)',64),(13,'C-Kondensator\\Trimmer\\SMD','Kondensator','Trimmer (Kondensator)',64),(14,'Diode','Diode','Universaldiode',9),(15,'Diode\\Brckengleichrichter','Diode','Brckengleichrichter',10),(16,'Diode\\Brckengleichrichter\\SMD','Diode','Brckengleichrichter',10),(17,'Diode\\Empfnger','Diode','Optische Empfngerdiode',11),(18,'Diode\\Kapazittsdiode','Diode','Kapazittsdiode',12),(19,'Diode\\Laserdiode','Diode','Laserdiode',13),(20,'Diode\\Leistung','Diode','Leistungsdiode',14),(21,'Diode\\Schottky','Diode','Schottkydiode',15),(22,'Diode\\Schottky\\SMD','Diode','Schottkydiode',15),(23,'Diode\\Sender','Diode','Optische Senderdiode',16),(24,'Diode\\SMD','Diode','Universaldiode',9),(25,'Diode\\berspannungsschutz','Diode','Suppressordiode',17),(26,'Diode\\Universal','Diode','Universaldiode',9),(27,'Diode\\Universal\\SMD','Diode','Universaldiode',9),(28,'Diode\\Zenerdiode','Diode','Zenerdiode',18),(29,'Diode\\Zenerdiode\\SMD','Diode','Zenerdiode',18),(30,'Display','Optoelektronik','Display',99),(31,'Elektrotechnik','Elektrotechnik','Sonstige Elektrotechnik',32),(32,'Elektrotechnik\\Antrieb','Elektrotechnik','Motor / Generator',20),(33,'Elektrotechnik\\Hausgerte','Elektrotechnik','Elektrisches Haushaltsgert',34),(34,'Elektrotechnik\\Kennzeichen','Elektrotechnik','Kennzeichen',35),(35,'Elektrotechnik\\Leuchte','Elektrotechnik','Leuchte',19),(36,'Elektrotechnik\\Motor','Elektrotechnik','Motor / Generator',20),(38,'Elektrotechnik\\Schalter','Elektrotechnik','Schalter (Elektrotechnik)',22),(39,'Elektrotechnik\\Schalter: Schlieer','Elektrotechnik','Schalter (Elektrotechnik)',22),(40,'Elektrotechnik\\Schtz','Elektrotechnik','Schtz',23),(41,'Elektrotechnik\\Sicherung','Elektrotechnik','Sicherung (Elektrotechnik)',24),(42,'Elektrotechnik\\Signalgeber','Elektrotechnik','Signalgeber',25),(43,'Elektrotechnik\\Signalgeber\\Rundfunk, Fernsehen','Elektrotechnik','Rundfunk / Fernsehen',26),(44,'Elektrotechnik\\Sonstige','Elektrotechnik','Sonstige Elektrotechnik',32),(45,'Elektrotechnik\\Sonstige\\Fernmeldegerte','Elektrotechnik','Telekommunikation',27),(46,'Elektrotechnik\\Sonstige\\Fernmeldegerte\\Verteiler','Elektrotechnik','Telekommunikation',27),(47,'Elektrotechnik\\Sonstige\\Funkenstrecke','Elektrotechnik','berspannung',28),(48,'Elektrotechnik\\Sonstige\\Steckdose','Elektrotechnik','Steckdose',29),(49,'Elektrotechnik\\Steckverbinder','Elektrotechnik','Steckverbinder',30),(50,'Elektrotechnik\\Strom','Elektrotechnik','Spannung, Strom',21),(51,'Elektrotechnik\\Tansformator','Elektrotechnik','Transformator (Elektrotechnik)',31),(52,'Elektrotechnik\\berspannung','Elektrotechnik','berspannung',28),(54,'IC','Sonstige','Sonstige IC',162),(55,'IC\\Analog','Sonstige','Sonstige IC',162),(56,'IC\\Analog\\Audio','Audio','Sonstige Audio',1),(57,'IC\\Analog\\Audio\\CD','Audio','Sonstige Audio',1),(58,'IC\\Analog\\Audio\\Filter','Audio','Audiofilter',2),(59,'IC\\Analog\\Audio\\Radio','Audio','Radio',3),(60,'IC\\Analog\\Audio\\Sprache','Audio','Sprache',4),(61,'IC\\Analog\\Audio\\Telefon','Audio','Telefon',5),(62,'IC\\Analog\\Audio\\Verstrker','Audio','Audioverstrker',6),(63,'IC\\Analog\\Audio\\Verstrker\\SMD','Audio','Audioverstrker',6),(64,'IC\\Analog\\DC/DC-Wandler','Wandler','DC/DC',249),(65,'IC\\Analog\\DC/DC-Wandler\\Step-Up','Wandler','DC/DC',249),(66,'IC\\Analog\\Empfnger','Sonstige','Sender / Empfnger',164),(68,'IC\\Analog\\Komparator','Operationsverstrker (OpAmp)','Komparator',82),(69,'IC\\Analog\\Komparator\\SMD','Operationsverstrker (OpAmp)','Komparator',82),(70,'IC\\Analog\\Kurven-Generator','Signale und Takt/Timer','Signalgenerator',152),(71,'IC\\Analog\\Laderegler','Sonstige','Laderegler',166),(72,'IC\\Analog\\Multiplizierer/Dividierer','Sonstige','Analog Multiplizierer und Dividierer',167),(73,'IC\\Analog\\OpAmp','Operationsverstrker (OpAmp)','Operationsverstrker (OpAmp)',83),(74,'IC\\Analog\\OpAmp\\SMD','Operationsverstrker (OpAmp)','Operationsverstrker (OpAmp)',83),(75,'IC\\Analog\\Phasenanschnitt','Sonstige','Phasenanschnitt',168),(76,'IC\\Analog\\PWM','Sonstige','PWM',169),(77,'IC\\Analog\\Sample/Hold','Sonstige','Sample and hold',170),(78,'IC\\Analog\\Schalter','Schalter','IC (Schalter)',124),(79,'IC\\Analog\\Schaltnetzteil','Spannung und Strom','Schaltnetzteil',188),(80,'IC\\Analog\\Schaltregler','Spannung und Strom','Schaltregler',189),(81,'IC\\Analog\\Sender/Empfnger','Sonstige','Sender / Empfnger',164),(82,'IC\\Analog\\Sensor','Sensor','Sonstige Sensor',133),(83,'IC\\Analog\\Spannungsreferenz','Spannung und Strom','Spannungsreferenz',190),(84,'IC\\Analog\\Spannungsregler','Spannung und Strom','Spannungsregler',191),(85,'IC\\Analog\\Spannungsregler\\SMD','Spannung und Strom','Spannungsregler',191),(86,'IC\\Analog\\Spannungsberwachung','Spannung und Strom','Spannungsregelung und -berwachung',192),(87,'IC\\Analog\\Strommessverstrker\\Stromberwachung und -regelung','Spannung und Strom','Stromregelung und -berwachung',193),(88,'IC\\Analog\\Timer','Signale und Takt/Timer','Timer',153),(89,'IC\\Analog\\Timer\\SMD','Signale und Takt/Timer','Timer',153),(90,'IC\\Analog\\Treiber','Sonstige','Treiber',175),(91,'IC\\Analog\\Treiber\\SMD','Sonstige','Treiber',175),(92,'IC\\Analog\\Verstrker','Sonstige','Verstrker',176),(93,'IC\\Analog\\Verstrker\\Instrumenten','Operationsverstrker (OpAmp)','Instrumentenverstrker',81),(94,'IC\\Analog\\Video','Sonstige','Video',160),(95,'IC\\Analog\\Wandler','Wandler','Sonstige Wandler',248),(96,'IC\\Digital','Sonstige','Digital IC',161),(97,'IC\\Digital\\Filter','Sonstige','Digital IC',161),(98,'IC\\Digital\\Konverter','Sonstige','Digital IC',161),(99,'IC\\Digital\\Logik','Logik','Logik Sonstige',65),(100,'IC\\Digital\\Logik\\CMOS','Logik','Logik Sonstige',65),(101,'IC\\Digital\\Logik\\CMOS\\4000','Logik','4000-CMOS',66),(102,'IC\\Digital\\Logik\\CMOS\\4000\\SMD','Logik','4000-CMOS',66),(103,'IC\\Digital\\Logik\\CMOS\\7400\\HC','Logik','7400-CMOS',67),(104,'IC\\Digital\\Logik\\CMOS\\7400\\HC\\SMD','Logik','7400-CMOS',67),(105,'IC\\Digital\\Logik\\CMOS\\7400\\HCT','Logik','7400-CMOS',67),(106,'IC\\Digital\\Logik\\CMOS\\74A','Logik','7400-CMOS',67),(107,'IC\\Digital\\Logik\\CMOS\\74ABT','Logik','7400-CMOS',67),(108,'IC\\Digital\\Logik\\CMOS\\74ABT\\SMD','Logik','7400-CMOS',67),(109,'IC\\Digital\\Logik\\CMOS\\74ACT\\SMD','Logik','7400-CMOS',67),(110,'IC\\Digital\\Logik\\CMOS\\74BCT','Logik','7400-CMOS',67),(111,'IC\\Digital\\Logik\\CMOS\\74BCT\\SMD','Logik','7400-CMOS',67),(112,'IC\\Digital\\Logik\\CMOS\\74C','Logik','7400-CMOS',67),(113,'IC\\Digital\\Logik\\CMOS\\74HC','Logik','7400-CMOS',67),(114,'IC\\Digital\\Logik\\CMOS\\74HC\\SMD','Logik','7400-CMOS',67),(115,'IC\\Digital\\Logik\\CMOS\\74HCT','Logik','7400-CMOS',67),(116,'IC\\Digital\\Logik\\CMOS\\74HCT\\SMD','Logik','7400-CMOS',67),(117,'IC\\Digital\\Logik\\CMOS\\74HCU','Logik','7400-CMOS',67),(118,'IC\\Digital\\Logik\\CMOS\\74HCU\\SMD','Logik','7400-CMOS',67),(119,'IC\\Digital\\Logik\\CPLD','Logik','Programmierbar',68),(120,'IC\\Digital\\Logik\\Decoder','Logik','Enkoder / Dekoder',69),(121,'IC\\Digital\\Logik\\Encoder','Logik','Enkoder / Dekoder',69),(122,'IC\\Digital\\Logik\\Encoder/Decoder','Logik','Enkoder / Dekoder',69),(123,'IC\\Digital\\Logik\\PAL','Logik','Programmierbar',68),(124,'IC\\Digital\\Logik\\Programmierbar','Logik','Programmierbar',68),(125,'IC\\Digital\\Logik\\TTL\\74','Logik','7400-TTL',70),(126,'IC\\Digital\\Logik\\TTL\\7400','Logik','7400-TTL',70),(127,'IC\\Digital\\Logik\\TTL\\7400\\LS','Logik','7400-TTL',70),(128,'IC\\Digital\\Logik\\TTL\\7400\\LS\\SMD','Logik','7400-TTL',70),(129,'IC\\Digital\\Logik\\TTL\\74ALS','Logik','7400-TTL',70),(130,'IC\\Digital\\Logik\\TTL\\74F','Logik','7400-TTL',70),(131,'IC\\Digital\\Logik\\TTL\\74F\\SMD','Logik','7400-TTL',70),(132,'IC\\Digital\\Logik\\TTL\\74LS','Logik','7400-TTL',70),(133,'IC\\Digital\\Logik\\TTL\\74LS\\SMD','Logik','7400-TTL',70),(134,'IC\\Digital\\Logik\\TTL\\74LV\\SMD','Logik','7400-TTL',70),(135,'IC\\Digital\\Microcontroller','Mikrokontroller','Sonstige Mikrocontroller',71),(136,'IC\\Digital\\Microcontroller\\ATMEL','Mikrokontroller','Atmel',72),(137,'IC\\Digital\\Microcontroller\\PIC','Mikrokontroller','PIC',73),(138,'IC\\Digital\\Netzwerk','Sonstige','Netzwerk',163),(139,'IC\\Digital\\PLD','Logik','Programmierbar',68),(140,'IC\\Digital\\PLD\\GAL','Logik','Programmierbar',68),(141,'IC\\Digital\\PLD\\PAL','Logik','Programmierbar',68),(142,'IC\\Digital\\Prozessor','Mikroprozessor','Sonstige Mikroprozessor',74),(143,'IC\\Digital\\Prozessor\\6502','Mikroprozessor','65xx',75),(144,'IC\\Digital\\Prozessor\\6800','Mikroprozessor','68xx',76),(145,'IC\\Digital\\Prozessor\\80Cxx','Mikroprozessor','80xx',77),(146,'IC\\Digital\\Prozessor\\80x86','Mikroprozessor','80xx',77),(147,'IC\\Digital\\Prozessor\\80xx','Mikroprozessor','80xx',77),(149,'IC\\Digital\\Prozessor\\Peripherie','Mikroprozessor','Peripherie',78),(150,'IC\\Digital\\Prozessor\\Peripherie\\RS232','Mikroprozessor','Peripherie',78),(151,'IC\\Digital\\Prozessor\\Peripherie\\RS323','Mikroprozessor','Peripherie',78),(152,'IC\\Digital\\Prozessor\\Peripherie\\RS485','Mikroprozessor','Peripherie',78),(154,'IC\\Digital\\Prozessor\\SAB','Mikroprozessor','Sonstige Mikroprozessor',74),(155,'IC\\Digital\\Prozessor\\Wilke','Embedded Controller','Wilke',36),(156,'IC\\Digital\\Prozessor\\Z80','Mikroprozessor','Z80',79),(157,'IC\\Digital\\Prozessor\\Z86','Mikroprozessor','Z86',80),(158,'IC\\Digital\\Speicher','Speicher','Sonstige Speicher',195),(159,'IC\\Digital\\Speicher\\EEPROM','Speicher','EEPROM',196),(160,'IC\\Digital\\Speicher\\EPROM','Speicher','EPROM',197),(161,'IC\\Digital\\Speicher\\Flash','Speicher','Flash',198),(162,'IC\\Digital\\Speicher\\PROM','Speicher','PROM',199),(163,'IC\\Digital\\Speicher\\RAM','Speicher','Sonstige Speicher',195),(164,'IC\\Digital\\Speicher\\RAM\\Dynamisch','Speicher','DRAM',200),(166,'IC\\Digital\\Speicher\\RAM\\Statisch','Speicher','SRAM',201),(167,'IC\\Digital\\Transceiver','Sonstige','Sender / Empfnger',164),(168,'IC\\Digital\\USB','Sonstige','USB',171),(169,'IC\\Fassung','Steckverbinder und Sockel/Fassung','Sockel / Fassung',203),(170,'IC\\Mikrocontroller','Mikrokontroller','Sonstige Mikrocontroller',71),(172,'IC\\Mixed\\AD/DA-Wandler','Wandler','AD/DA',250),(173,'IC\\Mixed\\AD-Wandler','Wandler','AD/DA',250),(174,'IC\\Mixed\\Analogschalter','Schalter','Analogschalter',125),(178,'IC\\Mixed\\DA-Wandler','Wandler','AD/DA',250),(179,'IC\\Mixed\\Digital-Poti','Widerstand','Digitalpotentiometer',260),(180,'IC\\Mixed\\Microcontroller','Mikrokontroller','Sonstige Mikrocontroller',71),(181,'IC\\Mixed\\Motor Controller','Sonstige','Motorsteuerung',173),(182,'IC\\Mixed\\Motorsteuerung','Sonstige','Motorsteuerung',173),(183,'IC\\Mixed\\Multiplexer','Sonstige','Multiplexer',174),(185,'IC\\Mixed\\Receiver','Sonstige','Sender / Empfnger',164),(186,'IC\\Mixed\\Sample-Hold','Sonstige','Sample and hold',170),(187,'IC\\Mixed\\Schalter','Schalter','Sonstige Schalter',126),(188,'IC\\Mixed\\Sender','Sensor','Sonstige Sensor',133),(189,'IC\\Mixed\\Sensor','Sensor','Sonstige Sensor',133),(190,'IC\\Mixed\\Sicherheit','Sonstige','Sicherheit',158),(191,'IC\\Mixed\\Transceiver','Sonstige','Sender / Empfnger',164),(192,'IC\\Mixed\\Verstrker','Sonstige','Verstrker',176),(193,'IC\\Mixed\\Video','Sonstige','Video',160),(194,'IC\\Mixed\\Watchdog','Spannung und Strom','Spannungsberwachung',187),(195,'L-Induktivitt','Induktivitt','Spule',58),(196,'L-Induktivitt\\Drossel','Induktivitt','Drossel',54),(197,'L-Induktivitt\\Filter','Induktivitt','Filter (Induktivitt)',55),(198,'L-Induktivitt\\Koppler','Induktivitt','Koppler',56),(199,'L-Induktivitt\\Motor','Induktivitt','Motor',57),(200,'L-Induktivitt\\Spule','Induktivitt','Spule',58),(201,'L-Induktivitt\\Trimmer','Induktivitt','Trimmer (Induktivitt)',59),(202,'L-Induktivitt\\bertrager','Induktivitt','bertrager (Induktivitt)',60),(203,'Lt-Jumper','Steckverbinder und Sockel/Fassung','Ltjumper',202),(204,'Opto\\Display','Optoelektronik','Display',99),(205,'Opto\\Display\\Treiber','Optoelektronik','Display-Treiber',84),(206,'Opto\\IR','Optoelektronik','IR-IC',85),(207,'Opto\\IR\\Diode','Optoelektronik','IR-Diode',86),(208,'Opto\\IR\\Diode\\Silizium-Fotodiode','Optoelektronik','Photodiode',87),(209,'Opto\\IR\\LED','Optoelektronik','IR-Diode',86),(210,'Opto\\IR\\Transistor','Optoelektronik','IR-Transistor',89),(211,'Opto\\LED','Optoelektronik','LED',90),(212,'Opto\\LED\\SMD','Optoelektronik','LED',90),(213,'Opto\\LED\\THT','Optoelektronik','LED',90),(214,'Opto\\LED\\Treiber','Optoelektronik','Treiber (Optoelektronik)',91),(215,'Opto\\Lichtschranke','Optoelektronik','Lichtschranke',92),(216,'Opto\\Optokoppler','Optoelektronik','Optokoppler',93),(217,'Opto\\Photodiode','Optoelektronik','Photodiode',87),(218,'Opto\\Photoelement','Optoelektronik','Photoelement',94),(219,'Opto\\PhotoMOS','Optoelektronik','Photo-MOS',95),(220,'Opto\\Phototransistor','Optoelektronik','Phototransistor',96),(221,'Opto\\Photowiderstand','Optoelektronik','Photowiderstand',97),(222,'Opto\\Resistor','Optoelektronik','Photowiderstand',97),(223,'Opto\\Sender/Empfnger','Optoelektronik','Sender / Empfnger (Optoelektronik)',98),(224,'Opto\\Treiber\\SMD','Optoelektronik','Treiber (Optoelektronik)',91),(226,'Quarz\\Oszillator','Quarz','Oszillator',101),(227,'Quarz\\Resonator','Quarz','Resonator',100),(228,'Relais','Relais','Sonstige Relais',102),(229,'Relais\\Bistabil','Relais','Bistabile Relais',103),(230,'Relais\\Elektronisch','Relais','Elektronische Relais',104),(231,'Relais\\Fassung','Relais','Fassungen fr Relais',105),(232,'Relais\\Kartenrelais','Relais','Kartenrelais',106),(233,'Relais\\Monostabil','Relais','Monostabile Relais',107),(234,'Relais\\Netzrelais','Relais','Netzrelais',108),(235,'Relais\\Neutral','Relais','Monostabile Relais',107),(236,'Relais\\PhotoMos','Relais','Elektronische Relais',104),(237,'Relais\\Printrelais','Relais','Sonstige Relais',102),(238,'Relais\\Printrelais\\bistabil','Relais','Bistabile Relais',103),(239,'Relais\\Printrelais\\monostabil','Relais','Monostabile Relais',107),(240,'Relais\\Reedkontakt','Schalter','Reedkontakt',127),(241,'Relais\\Reedrelais','Relais','Reedrelais',115),(242,'Relais\\Reedsensor\\SMD','Schalter','Reedkontakt',127),(243,'Relais\\Sicherheitsrelais','Relais','Sicherheitsrelais',117),(244,'Relais\\SMD','Relais','Sonstige Relais',102),(245,'Rhre','Sonstige','Elektronenrhre',159),(246,'R-Widerstand','Widerstand','Widerstand',251),(247,'R-Widerstand\\Draht','Widerstand','Widerstand',251),(248,'R-Widerstand\\Hochlast','Widerstand','Hochlast',252),(249,'R-Widerstand\\Keramik','Widerstand','Widerstand',251),(250,'R-Widerstand\\Kohle','Widerstand','Widerstand',251),(251,'R-Widerstand\\Metall','Widerstand','Widerstand',251),(252,'R-Widerstand\\Netzwerk','Widerstand','Widerstandsnetzwerk',253),(253,'R-Widerstand\\NTC','Widerstand','Heileiter NTC',254),(254,'R-Widerstand\\Potentiometer','Widerstand','Potentiometer',255),(255,'R-Widerstand\\Przision','Widerstand','Przision',256),(256,'R-Widerstand\\PTC','Widerstand','Kaltleiter PTC',257),(257,'R-Widerstand\\SMD','Widerstand','Widerstand',251),(258,'R-Widerstand\\SMD\\0207','Widerstand','Widerstand',251),(259,'R-Widerstand\\SMD\\0603','Widerstand','Widerstand',251),(260,'R-Widerstand\\SMD\\0805','Widerstand','Widerstand',251),(261,'R-Widerstand\\SMD\\1206','Widerstand','Widerstand',251),(262,'R-Widerstand\\Trimmer','Widerstand','Trimmer',258),(263,'R-Widerstand\\Varistor','Widerstand','Varistor VDR',259),(265,'Schalter/Taster\\Codier','Schalter','Kodierschalter DIP, BCD, Hex',118),(266,'Schalter/Taster\\DIL','Schalter','Kodierschalter DIP, BCD, Hex',118),(267,'Schalter/Taster\\Drehschalter','Schalter','Drehschalter',120),(268,'Schalter/Taster\\Kapazitiv','Schalter','Kapazitivschalter',121),(269,'Schalter/Taster\\Kippschalter','Schalter','Kippschalter',122),(270,'Schalter/Taster\\Lichtreflex','Schalter','Lichtreflex-Schalter',123),(271,'Schalter/Taster\\Reed','Schalter','Reedkontakt',127),(272,'Schalter/Taster\\Schiebeschalter','Schalter','Schiebeschalter',128),(275,'Schalter/Taster\\Tact','Schalter','Taster',130),(276,'Schalter/Taster\\Taster','Schalter','Taster',130),(277,'Schalter/Taster\\Taster\\SMD','Schalter','Taster',130),(278,'Sensor','Sensor','Sonstige Sensor',133),(279,'Sensor\\Akustik','Sensor','Akustik-Sensor',134),(280,'Sensor\\Beschleunigung','Sensor','Beschleunigungssensor',135),(281,'Sensor\\Drehzahl','Sensor','Drehzahlsensor',136),(282,'Sensor\\Druck','Sensor','Drucksensor',137),(283,'Sensor\\Feuchte','Sensor','Feuchtesensor',138),(284,'Sensor\\Gas','Sensor','Gas-Sensor',139),(285,'Sensor\\Licht','Sensor','Photosensor',140),(286,'Sensor\\Magnetfeld','Sensor','Magnetfeldsensor',141),(287,'Sensor\\Opto','Sensor','Photosensor',140),(288,'Sensor\\Sonstige','Sensor','Sonstige Sensor',133),(289,'Sensor\\Temperatur','Sensor','Temperatursensor',142),(290,'Sensor\\Winkelgeschwindigkeit','Sensor','Winkelgeschwindigkeits-Sensor',143),(291,'Sensor\\Temperatur\\PTC','Widerstand','Kaltleiter PTC',257),(292,'Sicherung','Sicherung','Sonstige Sicherung',147),(293,'Sicherung\\Flink F','Sicherung','Flink (F)',145),(294,'Sicherung\\Selbstrckstellend','Sicherung','Selbstrckstellend',146),(295,'Sicherung\\Strom','Sicherung','Sonstige Sicherung',147),(296,'Sicherung\\SuperFlink FF','Sicherung','SuperFlink (FF)',148),(297,'Sicherung\\SuperTrge TT','Sicherung','SuperTrge (TT)',149),(298,'Sicherung\\Temperatur','Sicherung','Temperatursicherung',150),(299,'Sicherung\\Trge T','Sicherung','Trge (T)',151),(300,'Simulation\\Analog\\Default','Generisch, Simulation und Modellierung','Modellierung analog',44),(301,'Simulation\\Analog\\Messgert','Generisch, Simulation und Modellierung','Messgert (Simulation)',45),(302,'Simulation\\Analog\\Quelle\\Gesteuert\\Linear','Generisch, Simulation und Modellierung','gesteuerte Quelle',46),(303,'Simulation\\Analog\\Quelle\\Gesteuert\\nicht Linear','Generisch, Simulation und Modellierung','gesteuerte Quelle',46),(304,'Simulation\\Analog\\Quelle\\Sonstige','Generisch, Simulation und Modellierung','Makro-Quelle (Simulation)',154),(305,'Simulation\\Analog\\Quelle\\Unabhngig\\Spannung','Generisch, Simulation und Modellierung','Spannungsquelle (Simulation)',155),(306,'Simulation\\Analog\\Quelle\\Unabhngig\\Strom','Generisch, Simulation und Modellierung','Stromquelle (Simulation)',156),(307,'Simulation\\Analog\\Sonstige','Generisch, Simulation und Modellierung','Sonstige Generisch',47),(308,'Simulation\\Digital\\FlipFlop','Generisch, Simulation und Modellierung','Modellierung mit FlipFlop',48),(309,'Simulation\\Digital\\Gatter\\Open Collector','Generisch, Simulation und Modellierung','Modellierung mit Open Collector Gatter',49),(310,'Simulation\\Digital\\Gatter\\Standard','Generisch, Simulation und Modellierung','Modellierung mit Standard Gatter',50),(311,'Simulation\\Digital\\Gatter\\Tristate','Generisch, Simulation und Modellierung','Modellierung mit Tristate-Gatter',51),(312,'Simulation\\Digital\\Sonstige','Generisch, Simulation und Modellierung','Sonstige Generisch',47),(313,'Simulation\\Digital\\Stimulus','Generisch, Simulation und Modellierung','Digitaler Stimulus (Simulation)',157),(315,'Sonstige','Sonstige','Sonstige',172),(316,'Sonstige\\AKKU','Sonstige','Akku',177),(317,'Sonstige\\Batterie','Sonstige','Batterie',178),(318,'Sonstige\\C-MOS-Kameramodule','Sonstige','Kameramodul',179),(319,'Sonstige\\Filter','Filter','Sonstige Filter',39),(320,'Sonstige\\GPS-Modul','Sonstige','GPS IC',180),(321,'Sonstige\\Icons','Sonstige','Piktogramm',181),(322,'Sonstige\\Khlkrper','Sonstige','Khlkrper',182),(323,'Sonstige\\Lampen-Starter','Sonstige','Sonstige',172),(324,'Sonstige\\Lautsprecher','Sonstige','Lautsprecher',183),(325,'Sonstige\\Passiv','Filter','Entstrfilter',38),(326,'Sonstige\\Sound','Sonstige','Sound',184),(327,'Sonstige\\Stromwandler','Sensor','Stromsensor',132),(328,'Sonstige\\Summer','Audio','Signalgeber/Summer',8),(329,'Sonstige\\berspannungsableiter','Sonstige','Sonstige berspannung',185),(331,'Sonstige\\Zeichnungsrahmen','Sonstige','Zeichnungsrahmen',186),(332,'Steckverbinder','Steckverbinder und Sockel/Fassung','Sonstige Steckverbinder',217),(333,'Steckverbinder\\Anschlussklemme','Steckverbinder und Sockel/Fassung','Anschlussklemme',218),(334,'Steckverbinder\\Buchsenleiste','Steckverbinder und Sockel/Fassung','Buchsenleiste',219),(335,'Steckverbinder\\Cinch','Steckverbinder und Sockel/Fassung','Cinch',220),(336,'Steckverbinder\\DIL-Stecker','Steckverbinder und Sockel/Fassung','DIL-Stecker',221),(337,'Steckverbinder\\DIN','Steckverbinder und Sockel/Fassung','DIN',222),(338,'Steckverbinder\\Federkraftklemme','Steckverbinder und Sockel/Fassung','Federkraftklemme',223),(339,'Steckverbinder\\Federleisten','Steckverbinder und Sockel/Fassung','Federleiste',224),(340,'Steckverbinder\\Flanschbuchse','Steckverbinder und Sockel/Fassung','Flanschbuchse',225),(341,'Steckverbinder\\Harting','Steckverbinder und Sockel/Fassung','Harting',226),(342,'Steckverbinder\\Jumper','Steckverbinder und Sockel/Fassung','Jumper',227),(343,'Steckverbinder\\Klinken','Steckverbinder und Sockel/Fassung','Klinkenstecker',228),(344,'Steckverbinder\\Leiterplattenverbinder','Steckverbinder und Sockel/Fassung','Leiterplattenverbinder',216),(345,'Steckverbinder\\Lumberg','Steckverbinder und Sockel/Fassung','Lumberg',229),(346,'Steckverbinder\\Messerleisten','Steckverbinder und Sockel/Fassung','Messerleiste',230),(347,'Steckverbinder\\Molex','Steckverbinder und Sockel/Fassung','Molex',231),(348,'Steckverbinder\\Phoenix','Steckverbinder und Sockel/Fassung','Phoenix',232),(349,'Steckverbinder\\Prfbuchse','Steckverbinder und Sockel/Fassung','Prfbuchse',204),(350,'Steckverbinder\\Prfbuchse\\LED','Steckverbinder und Sockel/Fassung','Prfbuchse',204),(351,'Steckverbinder\\Schaltbuchse','Steckverbinder und Sockel/Fassung','Schaltbuchse',205),(352,'Steckverbinder\\Schraubklemme','Steckverbinder und Sockel/Fassung','Schraubklemme',206),(353,'Steckverbinder\\Slot','Steckverbinder und Sockel/Fassung','Slot',207),(354,'Steckverbinder\\Sockel','Steckverbinder und Sockel/Fassung','Sockel / Fassung',203),(355,'Steckverbinder\\Speicherkarte','Steckverbinder und Sockel/Fassung','Speicherkarte',208),(356,'Steckverbinder\\Steckerleiste','Steckverbinder und Sockel/Fassung','Messerleiste',230),(357,'Steckverbinder\\Stiftleiste','Steckverbinder und Sockel/Fassung','Stiftleiste',210),(358,'Steckverbinder\\Sub-D','Steckverbinder und Sockel/Fassung','Sub-D',211),(359,'Steckverbinder\\Sub-D\\Buchse','Steckverbinder und Sockel/Fassung','Sub-D',211),(360,'Steckverbinder\\Sub-D\\Stift','Steckverbinder und Sockel/Fassung','Sub-D',211),(361,'Steckverbinder\\USB','Steckverbinder und Sockel/Fassung','USB-Buchse',212),(362,'Steckverbinder\\VG','Steckverbinder und Sockel/Fassung','Sonstige Steckverbinder',217),(363,'Steckverbinder\\Wago','Steckverbinder und Sockel/Fassung','Wago',213),(364,'Steckverbinder\\Westernbuchse','Steckverbinder und Sockel/Fassung','Westernbuchse',214),(365,'Steckverbinder\\XLR','Steckverbinder und Sockel/Fassung','XLR',215),(366,'Transformator','Spannung und Strom','Transformator',194),(367,'Transistor','Transistor','Sonstige Transistor',237),(368,'Transistor\\Bipolar','Transistor','Bipolartransistor',238),(369,'Transistor\\Bipolar\\2N\\Darlington','Transistor','Bipolar-Darlington',239),(370,'Transistor\\Bipolar\\2N\\NPN','Transistor','Bipolartransistor',238),(371,'Transistor\\Bipolar\\2N\\PNP','Transistor','Bipolartransistor',238),(372,'Transistor\\Bipolar\\2S\\Darlington','Transistor','Bipolar-Darlington',239),(373,'Transistor\\Bipolar\\2S\\NPN','Transistor','Bipolartransistor',238),(374,'Transistor\\Bipolar\\2S\\PNP','Transistor','Bipolartransistor',238),(375,'Transistor\\Bipolar\\AD','Transistor','Bipolartransistor',238),(376,'Transistor\\Bipolar\\AF','Transistor','Bipolartransistor',238),(377,'Transistor\\Bipolar\\BC\\Darlington','Transistor','Bipolar-Darlington',239),(378,'Transistor\\Bipolar\\BC\\NPN','Transistor','Bipolartransistor',238),(379,'Transistor\\Bipolar\\BC\\PNP','Transistor','Bipolartransistor',238),(380,'Transistor\\Bipolar\\BD\\Darlington','Transistor','Bipolar-Darlington',239),(381,'Transistor\\Bipolar\\BD\\NPN','Transistor','Bipolartransistor',238),(382,'Transistor\\Bipolar\\BD\\PNP','Transistor','Bipolartransistor',238),(383,'Transistor\\Bipolar\\BF\\NPN','Transistor','Bipolartransistor',238),(384,'Transistor\\Bipolar\\BF\\PNP','Transistor','Bipolartransistor',238),(385,'Transistor\\Bipolar\\BS\\NPN','Transistor','Bipolartransistor',238),(386,'Transistor\\Bipolar\\BS\\PNP','Transistor','Bipolartransistor',238),(387,'Transistor\\Bipolar\\BU\\Darlington','Transistor','Bipolar-Darlington',239),(388,'Transistor\\Bipolar\\BU\\NPN','Transistor','Bipolartransistor',238),(389,'Transistor\\Bipolar\\Darlington\\NPN','Transistor','Bipolar-Darlington',239),(390,'Transistor\\Bipolar\\Darlington\\PNP','Transistor','Bipolar-Darlington',239),(391,'Transistor\\Bipolar\\IC','Transistor','Sonstige Transistor',237),(392,'Transistor\\Bipolar\\Leistung\\NPN','Transistor','Bipolar-Leistung',241),(393,'Transistor\\Bipolar\\Leistung\\NPN\\SMD','Transistor','Bipolar-Leistung',241),(394,'Transistor\\Bipolar\\Leistung\\PNP','Transistor','Bipolar-Leistung',241),(395,'Transistor\\Bipolar\\Leistung\\PNP\\SMD','Transistor','Bipolar-Leistung',241),(396,'Transistor\\Bipolar\\MJ\\Darlington','Transistor','Bipolar-Darlington',239),(397,'Transistor\\Bipolar\\NPN','Transistor','Bipolartransistor',238),(398,'Transistor\\Bipolar\\NPN\\SMD','Transistor','Bipolartransistor',238),(399,'Transistor\\Bipolar\\PN\\NPN','Transistor','Bipolartransistor',238),(400,'Transistor\\Bipolar\\PN\\PNP','Transistor','Bipolartransistor',238),(401,'Transistor\\Bipolar\\PNP','Transistor','Bipolartransistor',238),(402,'Transistor\\Bipolar\\PNP\\SMD','Transistor','Bipolartransistor',238),(403,'Transistor\\Bipolar\\Sonstige\\NPN','Transistor','Sonstige Transistor',237),(404,'Transistor\\Bipolar\\Sonstige\\NPN\\Power','Transistor','Sonstige Transistor',237),(405,'Transistor\\Bipolar\\Sonstige\\PNP','Transistor','Sonstige Transistor',237),(406,'Transistor\\Bipolar\\Sonstige\\PNP\\Power','Transistor','Sonstige Transistor',237),(407,'Transistor\\Bipolar\\TN\\NPN','Transistor','Bipolartransistor',238),(408,'Transistor\\Bipolar\\TN\\PNP','Transistor','Bipolartransistor',238),(409,'Transistor\\Darlington','Transistor','Bipolar-Darlington',239),(410,'Transistor\\Darlington\\NPN','Transistor','Bipolar-Darlington',239),(411,'Transistor\\Darlington\\NPN\\SMD','Transistor','Bipolar-Darlington',239),(412,'Transistor\\Darlington\\PNP','Transistor','Bipolar-Darlington',239),(413,'Transistor\\Darlington\\PNP\\SMD','Transistor','Bipolar-Darlington',239),(414,'Transistor\\FET','Transistor','FET',245),(415,'Transistor\\FET\\MOSFET','Transistor','MOSFET',243),(416,'Transistor\\FET\\MOSFET\\N-Kanal','Transistor','MOSFET',243),(417,'Transistor\\FET\\MOSFET\\N-Kanal\\SMD','Transistor','MOSFET',243),(418,'Transistor\\FET\\MOSFET\\P-Kanal','Transistor','MOSFET',243),(419,'Transistor\\FET\\MOSFET\\P-Kanal\\SMD','Transistor','MOSFET',243),(420,'Transistor\\FET\\MOSFET\\Power','Transistor','Power-MOSFET',244),(421,'Transistor\\FET\\N-Channel','Transistor','FET',245),(422,'Transistor\\FET\\N-Kanal','Transistor','FET',245),(423,'Transistor\\FET\\N-Kanal\\SMD','Transistor','FET',245),(424,'Transistor\\FET\\P-Kanal','Transistor','FET',245),(425,'Transistor\\FET\\P-Kanal\\SMD','Transistor','FET',245),(426,'Transistor\\FET\\SMD','Transistor','FET',245),(427,'Transistor\\IGBT','Transistor','IGBT',246),(428,'Transistor\\IGBT\\SMD','Transistor','IGBT',246),(429,'Transistor\\NPN','Transistor','Bipolartransistor',238),(430,'Transistor\\NPN/PNP','Transistor','Bipolar-Komplementr',242),(431,'Transistor\\PNP','Transistor','Bipolartransistor',238),(432,'Transistor\\Sonstige','Transistor','Sonstige Transistor',237),(433,'Transistor\\Unijunction','Transistor','Unijunction',247),(434,'Transistor\\Unijunction\\N-Typ','Transistor','Unijunction',247),(435,'Triac/Thyristor','Thyristor etc.','Sonstige Thyristor etc.',233),(436,'Triac/Thyristor\\Diac','Thyristor etc.','Schaltdiode (DIAC, SIDAC)',264),(437,'Triac/Thyristor\\SMD','Thyristor etc.','Thyristor',235),(438,'Triac/Thyristor\\Thyristor','Thyristor etc.','Thyristor',235),(439,'Triac/Thyristor\\Triac','Thyristor etc.','Triac',236),(440,'Triggerelement','Thyristor etc.','Schaltdiode (DIAC, SIDAC)',264),(441,'Triggerelement\\SMD','Thyristor etc.','Schaltdiode (DIAC, SIDAC)',264),(442,'Steckverbinder\\Leiterplattenverbinder\\Wire to Board','Steckverbinder und Sockel/Fassung','Leiterplattenverbinder',216),(443,'Steckverbinder\\Power','Steckverbinder und Sockel/Fassung','Leistung',274),(444,'Diode\\Diodennetzwerk','Diode','Sonstige Diode',272),(445,'Elektrotechnik\\Messgert','Elektrotechnik','Messgert',275),(446,'Elektrotechnik\\Batterie\\Halterung\\SMD','Elektrotechnik','Spannung, Strom',21);
/*!40000 ALTER TABLE `conversion_componenttype` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `db_vars`
--

DROP TABLE IF EXISTS `db_vars`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `db_vars` (
  `user_version` int(11) NOT NULL,
  `enable_lastmodified_trigger` int(11) NOT NULL DEFAULT '1',
  `is_virgin` tinyint(4) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `db_vars`
--

LOCK TABLES `db_vars` WRITE;
/*!40000 ALTER TABLE `db_vars` DISABLE KEYS */;
INSERT INTO `db_vars` VALUES (150007,1,1);
/*!40000 ALTER TABLE `db_vars` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `distributors`
--

DROP TABLE IF EXISTS `distributors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `distributors` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `web` varchar(100) DEFAULT NULL,
  `last_modified` int(11) DEFAULT NULL,
  `user_entry` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`,`user_entry`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `distributors`
--

LOCK TABLES `distributors` WRITE;
/*!40000 ALTER TABLE `distributors` DISABLE KEYS */;
/*!40000 ALTER TABLE `distributors` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER distributors_on_before_insert BEFORE INSERT ON `distributors`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER distributors_on_before_update BEFORE UPDATE ON `distributors`
 FOR EACH ROW BEGIN
  IF NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `gallery`
--

DROP TABLE IF EXISTS `gallery`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gallery` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pos` int(11) NOT NULL,
  `search` text,
  `model_3D` text,
  `id_component` int(11) DEFAULT NULL,
  `caption_de` varchar(100) DEFAULT NULL,
  `caption_en` varchar(100) DEFAULT NULL,
  `caption_fr` varchar(100) DEFAULT NULL,
  `tags_de` varchar(255) DEFAULT NULL,
  `tags_en` varchar(255) DEFAULT NULL,
  `tags_fr` varchar(255) DEFAULT NULL,
  `info_de` varchar(255) DEFAULT NULL,
  `info_en` varchar(255) DEFAULT NULL,
  `info_fr` varchar(255) DEFAULT NULL,
  `last_modified` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gallery`
--

LOCK TABLES `gallery` WRITE;
/*!40000 ALTER TABLE `gallery` DISABLE KEYS */;
/*!40000 ALTER TABLE `gallery` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER gallery_on_before_insert BEFORE INSERT ON `gallery`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER gallery_on_before_update BEFORE UPDATE ON `gallery`
 FOR EACH ROW BEGIN
  IF NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `generics`
--

DROP TABLE IF EXISTS `generics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `generics` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name_de` varchar(100) DEFAULT NULL,
  `name_en` varchar(100) DEFAULT NULL,
  `name_fr` varchar(100) DEFAULT NULL,
  `id_blob_DIN` int(11) DEFAULT NULL,
  `id_blob_IEEE` int(11) DEFAULT NULL,
  `last_modified` int(11) DEFAULT NULL,
  `user_entry` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name_de` (`name_de`,`user_entry`),
  UNIQUE KEY `name_en` (`name_en`,`user_entry`),
  UNIQUE KEY `name_fr` (`name_fr`,`user_entry`),
  UNIQUE KEY `id_blob_DIN` (`id_blob_DIN`),
  UNIQUE KEY `id_blob_IEEE` (`id_blob_IEEE`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `generics`
--

LOCK TABLES `generics` WRITE;
/*!40000 ALTER TABLE `generics` DISABLE KEYS */;
/*!40000 ALTER TABLE `generics` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER generics_on_before_insert BEFORE INSERT ON `generics`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER generics_on_before_update BEFORE UPDATE ON `generics`
 FOR EACH ROW BEGIN
  IF NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `manufacturers`
--

DROP TABLE IF EXISTS `manufacturers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `manufacturers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `link` varchar(100) DEFAULT NULL,
  `aliases` varchar(255) DEFAULT NULL,
  `last_modified` int(11) DEFAULT NULL,
  `user_entry` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`,`user_entry`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `manufacturers`
--

LOCK TABLES `manufacturers` WRITE;
/*!40000 ALTER TABLE `manufacturers` DISABLE KEYS */;
INSERT INTO `manufacturers` VALUES (208,'UNKNOWN_OR_MANIFOLD_MANUFACTURER',NULL,NULL,0,0);
/*!40000 ALTER TABLE `manufacturers` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER manufacturers_on_before_insert BEFORE INSERT ON `manufacturers`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER manufacturers_on_before_update BEFORE UPDATE ON `manufacturers`
 FOR EACH ROW BEGIN
  IF NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `ordernumbers`
--

DROP TABLE IF EXISTS `ordernumbers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ordernumbers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_component` int(11) NOT NULL,
  `ordernumber` varchar(100) DEFAULT NULL,
  `id_distributor` int(11) NOT NULL,
  `order_count` double NOT NULL DEFAULT '1',
  `error_count` tinyint(4) NOT NULL DEFAULT '0',
  `last_modified` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `id_distributor` (`id_distributor`),
  KEY `id_component` (`id_component`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ordernumbers`
--

LOCK TABLES `ordernumbers` WRITE;
/*!40000 ALTER TABLE `ordernumbers` DISABLE KEYS */;
/*!40000 ALTER TABLE `ordernumbers` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER ordernumbers_on_before_insert BEFORE INSERT ON `ordernumbers`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER ordernumbers_on_before_update BEFORE UPDATE ON `ordernumbers`
 FOR EACH ROW BEGIN
  IF NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `ordernumbers_only`
--

DROP TABLE IF EXISTS `ordernumbers_only`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ordernumbers_only` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ordernumber` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ordernumber` (`ordernumber`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ordernumbers_only`
--

LOCK TABLES `ordernumbers_only` WRITE;
/*!40000 ALTER TABLE `ordernumbers_only` DISABLE KEYS */;
/*!40000 ALTER TABLE `ordernumbers_only` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ordernumbers_package`
--

DROP TABLE IF EXISTS `ordernumbers_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ordernumbers_package` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_package` int(11) NOT NULL,
  `ordernumber` varchar(100) NOT NULL,
  `id_distributor` int(11) NOT NULL,
  `error_count` tinyint(4) NOT NULL DEFAULT '0',
  `last_modified` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `id_distributor` (`id_distributor`),
  KEY `id_package` (`id_package`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ordernumbers_package`
--

LOCK TABLES `ordernumbers_package` WRITE;
/*!40000 ALTER TABLE `ordernumbers_package` DISABLE KEYS */;
/*!40000 ALTER TABLE `ordernumbers_package` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER ordernumbers_package_on_before_insert BEFORE INSERT ON `ordernumbers_package`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER ordernumbers_package_on_before_update BEFORE UPDATE ON `ordernumbers_package`
 FOR EACH ROW BEGIN
  IF NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `package_types`
--

DROP TABLE IF EXISTS `package_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `package_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name_de` varchar(255) DEFAULT NULL,
  `name_en` varchar(255) DEFAULT NULL,
  `name_fr` varchar(255) DEFAULT NULL,
  `last_modified` int(11) DEFAULT NULL,
  `user_entry` int(11) NOT NULL DEFAULT '0',
  `std_prefix_de` varchar(10) DEFAULT NULL,
  `std_prefix_en` varchar(10) DEFAULT NULL,
  `std_prefix_fr` varchar(10) DEFAULT NULL,
  `user_prefix` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name_de` (`name_de`,`user_entry`),
  UNIQUE KEY `name_en` (`name_en`,`user_entry`),
  UNIQUE KEY `name_fr` (`name_fr`,`user_entry`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `package_types`
--

LOCK TABLES `package_types` WRITE;
/*!40000 ALTER TABLE `package_types` DISABLE KEYS */;
INSERT INTO `package_types` VALUES (20,'<undefiniert>','<undefined>','<indfini>',0,0,'','','',NULL);
/*!40000 ALTER TABLE `package_types` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER package_types_on_before_insert BEFORE INSERT ON `package_types`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER package_types_on_before_update BEFORE UPDATE ON `package_types`
 FOR EACH ROW BEGIN
  IF NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `packages`
--

DROP TABLE IF EXISTS `packages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `packages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name_de` varchar(255) DEFAULT NULL,
  `name_en` varchar(255) DEFAULT NULL,
  `name_fr` varchar(255) DEFAULT NULL,
  `description_de` text,
  `description_en` text,
  `description_fr` text,
  `id_manufacturer` int(11) DEFAULT NULL,
  `id_blob` int(11) NOT NULL,
  `id_package_type` int(11) DEFAULT NULL,
  `keywords` varchar(255) DEFAULT NULL,
  `model_3D` text,
  `height` int(11) DEFAULT NULL,
  `is_SMD` tinyint(4) NOT NULL DEFAULT '0',
  `padscount` smallint(6) DEFAULT NULL,
  `pitch` int(11) DEFAULT NULL,
  `scalable` tinyint(4) DEFAULT '0',
  `no_3d_extrusion` tinyint(4) NOT NULL DEFAULT '0',
  `datasheet` varchar(255) DEFAULT NULL,
  `geninfo` text,
  `properties` longtext,
  `last_modified` int(11) DEFAULT NULL,
  `user_entry` int(11) NOT NULL DEFAULT '0',
  `bibname` varchar(100) DEFAULT NULL,
  `id_pck3001` int(11) DEFAULT NULL,
  `history` text,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name_de` (`name_de`,`user_entry`),
  UNIQUE KEY `name_en` (`name_en`,`user_entry`),
  UNIQUE KEY `name_fr` (`name_fr`,`user_entry`),
  KEY `id_blob` (`id_blob`),
  KEY `id_manufacturer` (`id_manufacturer`),
  KEY `id_package_type` (`id_package_type`),
  KEY `index_bibname` (`name_de`,`bibname`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `packages`
--

LOCK TABLES `packages` WRITE;
/*!40000 ALTER TABLE `packages` DISABLE KEYS */;
/*!40000 ALTER TABLE `packages` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER packages_on_before_insert BEFORE INSERT ON `packages`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER packages_on_before_update BEFORE UPDATE ON `packages`
 FOR EACH ROW BEGIN
  SET @lastmod = (SELECT enable_lastmodified_trigger FROM db_vars LIMIT 1);
 IF @lastmod=1 AND NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `params`
--

DROP TABLE IF EXISTS `params`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `params` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type_id` int(11) NOT NULL,
  `param_index` tinyint(4) NOT NULL,
  `param_type` tinyint(4) NOT NULL,
  `name_de` varchar(100) DEFAULT NULL,
  `name_en` varchar(100) DEFAULT NULL,
  `name_fr` varchar(100) DEFAULT NULL,
  `id_value` int(11) DEFAULT NULL,
  `is_optional` tinyint(4) NOT NULL DEFAULT '0',
  `is_main_param` tinyint(4) NOT NULL DEFAULT '0',
  `last_modified` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `type_id` (`type_id`,`param_index`,`param_type`),
  UNIQUE KEY `type_id_2` (`type_id`,`name_de`),
  UNIQUE KEY `type_id_3` (`type_id`,`name_en`),
  UNIQUE KEY `type_id_4` (`type_id`,`name_fr`),
  KEY `id_value` (`id_value`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `params`
--

LOCK TABLES `params` WRITE;
/*!40000 ALTER TABLE `params` DISABLE KEYS */;
/*!40000 ALTER TABLE `params` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER params_on_before_insert BEFORE INSERT ON `params`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER params_on_before_update BEFORE UPDATE ON `params`
 FOR EACH ROW BEGIN
  IF NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `raute`
--

DROP TABLE IF EXISTS `raute`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `raute` (
  `id` int(11) NOT NULL,
  `suffix` varchar(10) NOT NULL,
  `name_de` varchar(100) DEFAULT NULL,
  `name_en` varchar(100) DEFAULT NULL,
  `name_fr` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `name_de` (`name_de`),
  KEY `name_en` (`name_en`),
  KEY `name_fr` (`name_fr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `raute`
--

LOCK TABLES `raute` WRITE;
/*!40000 ALTER TABLE `raute` DISABLE KEYS */;
INSERT INTO `raute` VALUES (0,'',NULL,NULL,NULL),(1,'(#1)',NULL,NULL,NULL),(2,'(#2)',NULL,NULL,NULL),(3,'(#3)',NULL,NULL,NULL),(4,'(#4)',NULL,NULL,NULL),(5,'(#5)',NULL,NULL,NULL),(6,'(#6)',NULL,NULL,NULL),(7,'(#7)',NULL,NULL,NULL),(8,'(#8)',NULL,NULL,NULL),(9,'(#9)',NULL,NULL,NULL),(10,'(#10)',NULL,NULL,NULL),(11,'(#11)',NULL,NULL,NULL),(12,'(#12)',NULL,NULL,NULL),(13,'(#13)',NULL,NULL,NULL),(14,'(#14)',NULL,NULL,NULL),(15,'(#15)',NULL,NULL,NULL),(16,'(#16)',NULL,NULL,NULL),(17,'(#17)',NULL,NULL,NULL),(18,'(#18)',NULL,NULL,NULL),(19,'(#19)',NULL,NULL,NULL),(20,'(#20)',NULL,NULL,NULL),(21,'(#21)',NULL,NULL,NULL),(22,'(#22)',NULL,NULL,NULL),(23,'(#23)',NULL,NULL,NULL),(24,'(#24)',NULL,NULL,NULL),(25,'(#25)',NULL,NULL,NULL),(26,'(#26)',NULL,NULL,NULL),(27,'(#27)',NULL,NULL,NULL),(28,'(#28)',NULL,NULL,NULL),(29,'(#29)',NULL,NULL,NULL),(30,'(#30)',NULL,NULL,NULL),(31,'(#31)',NULL,NULL,NULL),(32,'(#32)',NULL,NULL,NULL),(33,'(#33)',NULL,NULL,NULL),(34,'(#34)',NULL,NULL,NULL),(35,'(#35)',NULL,NULL,NULL),(36,'(#36)',NULL,NULL,NULL),(37,'(#37)',NULL,NULL,NULL),(38,'(#38)',NULL,NULL,NULL),(39,'(#39)',NULL,NULL,NULL),(40,'(#40)',NULL,NULL,NULL),(41,'(#41)',NULL,NULL,NULL),(42,'(#42)',NULL,NULL,NULL),(43,'(#43)',NULL,NULL,NULL),(44,'(#44)',NULL,NULL,NULL),(45,'(#45)',NULL,NULL,NULL),(46,'(#46)',NULL,NULL,NULL),(47,'(#47)',NULL,NULL,NULL),(48,'(#48)',NULL,NULL,NULL),(49,'(#49)',NULL,NULL,NULL),(50,'(#50)',NULL,NULL,NULL),(51,'(#51)',NULL,NULL,NULL),(52,'(#52)',NULL,NULL,NULL),(53,'(#53)',NULL,NULL,NULL),(54,'(#54)',NULL,NULL,NULL),(55,'(#55)',NULL,NULL,NULL),(56,'(#56)',NULL,NULL,NULL),(57,'(#57)',NULL,NULL,NULL),(58,'(#58)',NULL,NULL,NULL),(59,'(#59)',NULL,NULL,NULL),(60,'(#60)',NULL,NULL,NULL),(61,'(#61)',NULL,NULL,NULL),(62,'(#62)',NULL,NULL,NULL),(63,'(#63)',NULL,NULL,NULL),(64,'(#64)',NULL,NULL,NULL),(65,'(#65)',NULL,NULL,NULL),(66,'(#66)',NULL,NULL,NULL),(67,'(#67)',NULL,NULL,NULL),(68,'(#68)',NULL,NULL,NULL),(69,'(#69)',NULL,NULL,NULL),(70,'(#70)',NULL,NULL,NULL),(71,'(#71)',NULL,NULL,NULL),(72,'(#72)',NULL,NULL,NULL),(73,'(#73)',NULL,NULL,NULL),(74,'(#74)',NULL,NULL,NULL),(75,'(#75)',NULL,NULL,NULL),(76,'(#76)',NULL,NULL,NULL),(77,'(#77)',NULL,NULL,NULL),(78,'(#78)',NULL,NULL,NULL),(79,'(#79)',NULL,NULL,NULL),(80,'(#80)',NULL,NULL,NULL),(81,'(#81)',NULL,NULL,NULL),(82,'(#82)',NULL,NULL,NULL),(83,'(#83)',NULL,NULL,NULL),(84,'(#84)',NULL,NULL,NULL),(85,'(#85)',NULL,NULL,NULL),(86,'(#86)',NULL,NULL,NULL),(87,'(#87)',NULL,NULL,NULL),(88,'(#88)',NULL,NULL,NULL),(89,'(#89)',NULL,NULL,NULL),(90,'(#90)',NULL,NULL,NULL),(91,'(#91)',NULL,NULL,NULL),(92,'(#92)',NULL,NULL,NULL),(93,'(#93)',NULL,NULL,NULL),(94,'(#94)',NULL,NULL,NULL),(95,'(#95)',NULL,NULL,NULL),(96,'(#96)',NULL,NULL,NULL),(97,'(#97)',NULL,NULL,NULL),(98,'(#98)',NULL,NULL,NULL),(99,'(#99)',NULL,NULL,NULL),(100,'(#100)',NULL,NULL,NULL);
/*!40000 ALTER TABLE `raute` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `selections`
--

DROP TABLE IF EXISTS `selections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `selections` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `id_component` int(11) DEFAULT NULL,
  `id_package` int(11) DEFAULT NULL,
  `auto` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`,`id_component`),
  UNIQUE KEY `name_2` (`name`,`id_package`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `selections`
--

LOCK TABLES `selections` WRITE;
/*!40000 ALTER TABLE `selections` DISABLE KEYS */;
/*!40000 ALTER TABLE `selections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `spicemodels`
--

DROP TABLE IF EXISTS `spicemodels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `spicemodels` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `version` tinyint(4) NOT NULL DEFAULT '1',
  `user_entry` tinyint(4) NOT NULL DEFAULT '0',
  `model` text NOT NULL,
  `bibname` varchar(100) DEFAULT NULL,
  `last_modified` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`,`user_entry`,`version`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `spicemodels`
--

LOCK TABLES `spicemodels` WRITE;
/*!40000 ALTER TABLE `spicemodels` DISABLE KEYS */;
/*!40000 ALTER TABLE `spicemodels` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER spicemodels_on_before_insert BEFORE INSERT ON `spicemodels`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER spicemodels_on_before_update BEFORE UPDATE ON `spicemodels`
 FOR EACH ROW BEGIN
  IF NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `types`
--

DROP TABLE IF EXISTS `types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type_de` varchar(100) DEFAULT NULL,
  `type_en` varchar(100) DEFAULT NULL,
  `type_fr` varchar(100) DEFAULT NULL,
  `box1_id` int(11) NOT NULL,
  `box2_id` int(11) DEFAULT NULL,
  `box3_id` int(11) DEFAULT NULL,
  `info_de` text,
  `info_en` text,
  `info_fr` text,
  `alias` text,
  `id_generic` int(11) DEFAULT NULL,
  `std_prefix_de` varchar(10) DEFAULT NULL,
  `std_prefix_en` varchar(10) DEFAULT NULL,
  `std_prefix_fr` varchar(10) DEFAULT NULL,
  `user_prefix` varchar(10) DEFAULT NULL,
  `last_modified` int(11) DEFAULT NULL,
  `user_entry` int(11) NOT NULL DEFAULT '0',
  `user_count` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `type_de` (`type_de`,`user_entry`),
  UNIQUE KEY `type_en` (`type_en`,`user_entry`),
  UNIQUE KEY `type_fr` (`type_fr`,`user_entry`),
  KEY `box1_id` (`box1_id`),
  KEY `box2_id` (`box2_id`),
  KEY `box3_id` (`box3_id`),
  KEY `id_generic` (`id_generic`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `types`
--

LOCK TABLES `types` WRITE;
/*!40000 ALTER TABLE `types` DISABLE KEYS */;
INSERT INTO `types` VALUES (276,'unbekannt','unknown','inconnu',7,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'X',NULL,NULL,NULL,0,0,0);
/*!40000 ALTER TABLE `types` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER types_on_before_insert BEFORE INSERT ON `types`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER types_on_before_update BEFORE UPDATE ON `types`
 FOR EACH ROW BEGIN
  IF NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `values`
--

DROP TABLE IF EXISTS `values`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name_de` varchar(100) DEFAULT NULL,
  `name_en` varchar(100) DEFAULT NULL,
  `name_fr` varchar(100) DEFAULT NULL,
  `info_de` tinytext,
  `info_en` tinytext,
  `info_fr` tinytext,
  `unit_sign` varchar(20) DEFAULT NULL,
  `param_type` tinyint(4) NOT NULL,
  `last_modified` int(11) DEFAULT NULL,
  `user_entry` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name_de` (`name_de`,`user_entry`),
  UNIQUE KEY `name_en` (`name_en`,`user_entry`),
  UNIQUE KEY `name_fr` (`name_fr`,`user_entry`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `values`
--

LOCK TABLES `values` WRITE;
/*!40000 ALTER TABLE `values` DISABLE KEYS */;
/*!40000 ALTER TABLE `values` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER values_on_before_insert BEFORE INSERT ON `values`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER values_on_before_update BEFORE UPDATE ON `values`
 FOR EACH ROW BEGIN
  IF NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `values_string`
--

DROP TABLE IF EXISTS `values_string`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `values_string` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `values_id` int(11) NOT NULL,
  `value_de` varchar(100) DEFAULT NULL,
  `value_en` varchar(100) DEFAULT NULL,
  `value_fr` varchar(100) DEFAULT NULL,
  `last_modified` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `values_id` (`values_id`,`value_de`),
  UNIQUE KEY `values_id_2` (`values_id`,`value_en`),
  UNIQUE KEY `values_id_3` (`values_id`,`value_fr`)
) ENGINE=InnoDB AUTO_INCREMENT=100000001 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `values_string`
--

LOCK TABLES `values_string` WRITE;
/*!40000 ALTER TABLE `values_string` DISABLE KEYS */;
/*!40000 ALTER TABLE `values_string` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER values_string_on_before_insert BEFORE INSERT ON `values_string`
 FOR EACH ROW BEGIN
  IF NEW.last_modified IS NULL THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER values_string_on_before_update BEFORE UPDATE ON `values_string`
 FOR EACH ROW BEGIN
  IF NEW.id>100000000 THEN SET NEW.last_modified=(SELECT TIMESTAMPDIFF(MINUTE,'2000-01-01',NOW())); END IF;
 
 END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Dumping routines for database 'target3001db'
--
/*!50003 DROP FUNCTION IF EXISTS `NumName` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
CREATE DEFINER=`root`@`localhost` FUNCTION `NumName`(s VARCHAR(255)) RETURNS varchar(255) CHARSET utf8
    DETERMINISTIC
BEGIN
							DECLARE res VARCHAR(255) DEFAULT '';
							DECLARE c CHAR DEFAULT '';
							DECLARE n INT DEFAULT CHAR_LENGTH(s);
							DECLARE i INT DEFAULT 1;

							REPEAT
								SET c = SUBSTR(s,i,1);
								IF c BETWEEN '0' AND '9' THEN SET res = CONCAT(res, c); END IF;
								SET i = i + 1;
							UNTIL i > n END REPEAT;
							IF CHAR_LENGTH(res)>3 THEN RETURN res; ELSE RETURN ''; END IF;
						END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-04-03 11:55:57
